Last Comment Bug 68025 - Add Error Console as Sidebar Panel
: Add Error Console as Sidebar Panel
Status: NEW
[SMOP]
:
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: Trunk
: All All
-- enhancement with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 13:33 PST by Cormac F
Modified: 2016-08-02 04:47 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Cormac F 2001-02-07 13:33:09 PST
It might be useful to allow the javascript debug window to be displayed as a 
sidebar panel,rather than having to select it from the menu and switch between 
two windows when debugging a page.
Comment 1 User image John Bandhauer 2001-02-07 14:35:06 PST
There is no JavaScript debugger for mozilla. You are talking about the 
JavaScript console. 

Changing bugzilla components
Comment 2 User image John Bandhauer 2001-02-07 14:36:55 PST
...and reassigning to JS engine owner. Do you guys have a particular category 
for JS console related bugs?
Comment 3 User image Keyser Sose 2001-02-08 22:26:23 PST
Nope. Marking NEW.
Comment 4 User image Patrick C. Beard 2001-03-08 15:37:56 PST
Cool idea. Marking future.
Comment 5 User image Olivier Cahagne 2001-09-26 07:48:30 PDT
Shouldn't Summary be changed from 'Debugger' to 'Console' ? This is confusing
because a debugger is currently covered with bug 97945 with the Venkman
debugger: http://www.mozilla.org/projects/venkman/
Comment 6 User image Cormac F 2001-09-26 08:05:46 PDT
Changing Summary as per comments above.

From: [RFE] - Add JavaScript Debugger as Sidebar Panel

To: Add JavaScript Console as Sidebar Panel

Removing [RFE] - indicated by severity field
Comment 7 User image Robert Ginda 2001-09-26 14:31:35 PDT
js console is not part of the js engine, over to xp apps.
Comment 8 User image sairuh (rarely reading bugmail) 2001-09-26 15:08:14 PDT
sidebar
Comment 9 User image Henrik Gemal 2001-10-22 13:49:05 PDT
I'm not sure if the command will do it...:
sidebar.addPanel('JavaScriptConsole', 'chrome://global/content/console.xul','');
Comment 10 User image Blake Ross 2002-02-09 19:09:20 PST
-> js console

I think this needs to be wontfix.  I don't think we should ever ship with this
panel, and we don't need bugs in bugzilla for work that should be done on
someone's own time, hosted on a webpage.
Comment 11 User image Neil Marshall 2002-02-09 20:06:49 PST
I don't understand why you want this wontfix'ed.  The addressbook is available 
in the sidebar.  The bookmarks are available in the sidebar.  Why shouldn't the 
JavaScript console be available in the sidebar?
Comment 12 User image Blake Ross 2002-02-09 20:15:24 PST
Bookmarks and address book are common end-user features that apply to a wide
percentage of the population.  A javascript console would apply to a very narrow
subset of the population and would, imo, be better presented as an add-on
available from, say, developer.netscape.com.  Many things would make great
sidebar panels but they wouldn't all be well-received by a large amount of
people; I say we stick to the ones that will, and I don't believe this fits that
profile.
Comment 13 User image Shawn Neumann 2002-05-08 15:01:46 PDT
Blake, I hear what your saying on the type of component this is. I could
understand your reasoning (that it should be done by a third party) if the
Console was not a part of the default Mozilla build.  It seems to me that
discriminating between standard componenets - many of which which (including the
js console) would provide value in a sidebar state - is counter productive for a
"developers" browser.

Personally, this would save a great deal of time if there was some way to enable
the js console in the sidebar.  I'm glad to see this still marked future and
would be very happy to be able to easily enable it. 

I tried the js above, but it looks like it doesn't allow you to add just any old
chrome to the sidebar.
Comment 14 User image Mathieu Pillard [:mat] 2002-08-14 02:23:01 PDT
the dom inspector can be in the sidebar.
why wouldnt the js console be available too ? you dont want it so that it wont
confuse users ? make it a pref, an hidden pref even, and voila !
Comment 15 User image blockcipher 2002-10-31 05:18:21 PST
This could be something for Phoenix as well.
Comment 16 User image Robert Kaiser 2009-06-14 08:03:44 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 17 User image Robert Kaiser 2009-06-14 08:07:31 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 18 User image Robert Kaiser 2009-06-14 08:14:51 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 19 User image Robert Kaiser 2009-06-14 09:28:50 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 20 User image Robert Kaiser 2009-06-14 09:34:45 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 21 User image Robert Kaiser 2009-06-14 17:16:30 PDT
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 22 User image Frank-Rainer Grahl 2016-07-31 15:01:12 PDT
The old error console in Seamonkey will not be enhanced. Its more or less only there for convenience and in maintenance mode only.

Closing as wontfix.

Note You need to log in before you can comment on or make changes to this bug.